kbuild: gen_init_cpio expands shell variables in file names
[deliverable/linux.git] / scripts / kconfig / lxdialog / check-lxdialog.sh
CommitLineData
ae215b14
SR
1#!/bin/sh
2# Check ncurses compatibility
3
4# What library to link
5ldflags()
6{
03c9587d
MF
7 for ext in so a dylib ; do
8 for lib in ncursesw ncurses curses ; do
9 $cc -print-file-name=lib${lib}.${ext} | grep -q /
10 if [ $? -eq 0 ]; then
11 echo "-l${lib}"
12 exit
13 fi
14 done
15 done
60f33b80 16 exit 1
ae215b14
SR
17}
18
19# Where is ncurses.h?
20ccflags()
21{
22 if [ -f /usr/include/ncurses/ncurses.h ]; then
23 echo '-I/usr/include/ncurses -DCURSES_LOC="<ncurses.h>"'
24 elif [ -f /usr/include/ncurses/curses.h ]; then
25 echo '-I/usr/include/ncurses -DCURSES_LOC="<ncurses/curses.h>"'
26 elif [ -f /usr/include/ncurses.h ]; then
27 echo '-DCURSES_LOC="<ncurses.h>"'
28 else
29 echo '-DCURSES_LOC="<curses.h>"'
30 fi
31}
32
3835f821
SR
33# Temp file, try to clean up after us
34tmp=.lxdialog.tmp
35trap "rm -f $tmp" 0 1 2 3 15
36
ae215b14
SR
37# Check if we can link to ncurses
38check() {
b44158de
SR
39 $cc -xc - -o $tmp 2>/dev/null <<'EOF'
40#include CURSES_LOC
41main() {}
42EOF
ae215b14 43 if [ $? != 0 ]; then
6e588f6d
SR
44 echo " *** Unable to find the ncurses libraries or the" 1>&2
45 echo " *** required header files." 1>&2
46 echo " *** 'make menuconfig' requires the ncurses libraries." 1>&2
47 echo " *** " 1>&2
48 echo " *** Install ncurses (ncurses-devel) and try again." 1>&2
49 echo " *** " 1>&2
50 exit 1
ae215b14
SR
51 fi
52}
53
54usage() {
55 printf "Usage: $0 [-check compiler options|-header|-library]\n"
56}
57
e99c343f 58if [ $# -eq 0 ]; then
ae215b14
SR
59 usage
60 exit 1
61fi
62
3835f821 63cc=""
ae215b14
SR
64case "$1" in
65 "-check")
66 shift
60f33b80 67 cc="$@"
ae215b14
SR
68 check
69 ;;
70 "-ccflags")
71 ccflags
72 ;;
73 "-ldflags")
60f33b80
SR
74 shift
75 cc="$@"
ae215b14
SR
76 ldflags
77 ;;
78 "*")
79 usage
80 exit 1
81 ;;
82esac
This page took 0.370769 seconds and 5 git commands to generate.